Test2::Formatter::TAP(3)

NAME
Test2::Formatter::TAP - Standard TAP formatter

DESCRIPTION
This is what takes events and turns them into TAP.

SYNOPSIS
    use Test2::Formatter::TAP;
    my $tap = Test2::Formatter::TAP->new();

    # Switch to utf8
    $tap->encoding('utf8');

    $tap->write($event, $number); # Output an event

METHODS

$bool = $tap->no_numbers
$tap->set_no_numbers($bool)
    Use to turn numbers on and off.

$arrayref = $tap->handles
$tap->set_handles(\@handles);
    Can be used to get/set the filehandles. Indexes are identified by the "OUT_STD" and "OUT_ERR" constants.

$encoding = $tap->encoding
$tap->encoding($encoding)
    Get or set the encoding. By default no encoding is set, the original settings of STDOUT and STDERR are used.

    This directly modifies the stored filehandles, it does not create new ones.

$tap->write($e, $num)
    Write an event to the console.

SOURCE
The source code repository for Test2 can be found at http://github.com/Test-More/test-more/.

MAINTAINERS

Chad Granum <exodist@cpan.org>

AUTHORS
Chad Granum <exodist@cpan.org>
Kent Fredric <kentnl@cpan.org>

COPYRIGHT
Copyright 2020 Chad Granum <exodist@cpan.org>.

This program is free software; you can redistribute it and/or modify it under the same terms as Perl itself.

See http://dev.perl.org/licenses/

POD ERRORS
Hey! The above document had some coding errors, which are explained below:

Around line 444:
    This document probably does not appear as it should, because its "=encoding UTF-8" line calls for an unsupported encoding. [Pod::Simple::TranscodeDumb v3.43's supported encodings are: ascii ascii-ctrl cp1252 iso-8859-1 latin-1 latin1 null]

    Couldn't do =encoding UTF-8: This document probably does not appear as it should, because its "=encoding UTF-8" line calls for an unsupported encoding. [Pod::Simple::TranscodeDumb v3.43's supported encodings are: ascii ascii-ctrl cp1252 iso-8859-1 latin-1 latin1 null]